Subject: Re: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Juri Linkov <[email-masked]>
Date: Wed, 28 Aug 2024 19:21:08 +0300

>> > I see Eli reverted the change, which makes sense for now.  We'll have to
>> > find another way to fix this, I think.
>> 
>> I'm ready to test any changes when you'll find another way to fix this.
>
> Thanks, please test the patch below.  If it doesn't adversely affect
> performance, I will install it.

With the previous change, when leaning on an arrow key, cursor motion
was visibly laggy since the cursor skipped 3-4 characters.

Now with this patch, the cursor visits every character without delays.

OTOH, I tried to set a breakpoint inside 'if (non_basic_faces_cached)',
and it's never visited.  So it seems this change has no effect
in normal circumstances.